| Irrlicht 3D Engine |

Public Member Functions
irr::IRandomizer Class Reference

Interface for generating random numbers. More...

`#include <IRandomizer.h>`

Inheritance diagram for irr::IRandomizer:

List of all members.

## Public Member Functions

- virtual f32 frand () const =0
    generates a pseudo random number in the range 0..1
- virtual s32 rand () const =0
    generates a pseudo random number in the range 0..randMax()
- virtual s32 randMax () const =0
    get maxmimum number generated by rand()
- virtual void reset (s32 value=0x0f0f0f0f)=0
    resets the randomizer

## Detailed Description

Interface for generating random numbers.

Definition at line 14 of file IRandomizer.h.

## Member Function Documentation

virtual f32 irr::IRandomizer::frand | ( |  | ) | const`[pure virtual]`

generates a pseudo random number in the range 0..1

virtual s32 irr::IRandomizer::rand | ( |  | ) | const`[pure virtual]`

generates a pseudo random number in the range 0..randMax()

virtual s32 irr::IRandomizer::randMax | ( |  | ) | const`[pure virtual]`

get maxmimum number generated by rand()

virtual void irr::IRandomizer::reset | ( | s32 | value = `0x0f0f0f0f` | ) | `[pure virtual]`

resets the randomizer

Parameters:

  value | Initialization value (seed)

The documentation for this class was generated from the following file:

- IRandomizer.h